## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
# * The crate ships without the data or additional sources required for tests
%bcond_with check
%global debug_package %{nil}

%global crate tree-sitter

Name:           rust-tree-sitter
Version:        0.24.3
Release:        %autorelease
Summary:        Rust bindings to the Tree-sitter parsing library

# tree-sitter license:  MIT
# The rest comes from bundled ICU4C sources
License:        MIT AND Unicode-DFS-2016 AND BSD-2-Clause AND BSD-3-Clause AND LicenseRef-Fedora-Public-Domain
URL:            https://crates.io/crates/tree-sitter
Source:         %{crates_source}
# * Upstream license file - tree-sitter/tree-sitter#1520
Source2:        https://github.com/tree-sitter/tree-sitter/raw/v%{version}/LICENSE#/LICENSE.upstream
# Manually created patch for downstream crate metadata changes
# * Fixup license for bundled ICU
# * Drop 'wasmtime' features
# * Make 'bindgen' required
# * Downgrade 'bindgen' to the version available in Fedora
Patch:          tree-sitter-fix-metadata.diff
# * Always generate bindings with bindgen
Patch2:        tree-sitter-build-bindings-unconditionally.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Rust bindings to the Tree-sitter parsing library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
# The create contains a bundled copy of the tree-sitter C library.
# MIT
Provides:       bundled(tree-sitter) = %{version}
# The tree-sitter C library contains a small subset of files from the ICU library
# Unicode-DFS-2016 AND BSD-2-Clause AND BSD-3-Clause AND LicenseRef-Fedora-Public-Domain
Provides:       bundled(icu) = 65.1

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%license %{crate_instdir}/src/unicode/LICENSE
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# drop pre-generated bindings; we don't want to accidentally use these
rm -f binding_rust/bindings.rs

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install
# prepare upstream license file for %%license
install -D -m 0644 -pv %{SOURCE2} %{buildroot}%{crate_instdir}/LICENSE

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Oct 27 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.24.3-1
- Update to 0.24.3

* Sat Oct 26 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.23.2-1
- Update to 0.23.2

* Sun Sep 01 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.22.6-1
- Update to 0.22.6

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri May 03 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.22.5-1
- Update to 0.22.5

* Mon Apr 15 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.22.4-2
- Remove `SourceLicense` tag as it is not supported in epel

* Sat Apr 13 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.22.4-1
- Update to 0.22.4 (#2274824)

* Wed Mar 20 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.22.2-1
- Update to 0.22.2 (rhbz#2265405)

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Nov 02 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.20.10-1
- Update to 0.20.10 (#2184711)

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Sep 05 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.20.9-1
- Update to 0.20.9 (#2100278)

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Apr 01 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.20.6-1
- Update to 0.20.6

* Wed Mar 23 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.20.2-2
- Add patch to address test failures on s390x

* Fri Feb 25 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.20.2-1
- Initial import (#2028895)
## END: Generated by rpmautospec
